<?php

namespace App\Controller;

use App\Entity\User;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\Security\Http\Attribute\IsGranted;

#[IsGranted('ROLE_USER')]
class EconomicController extends AbstractController
{
    #[Route('/economic', name: 'app_economic')]
    public function index(): Response
    {
        $user = $this->calculate();
        return $this->render('economic/index.html.twig', [
            'controller_name' => 'EconomicController',
            'user' => $user
        ]);
    }

    // #[Route('/economic', name: 'calculate', methods: ['GET'])]
    public function calculate(): User {
        // $user = $this->getUser();
        $user = new User();
        $user->setName("Bob");
        return $user;
    }
}
