import * as React from "react";

import '../../styles/menu.css';

export default function Menu(props: {active: string}) {
  return (
    <>
        <div className="profile">
          <h1>SmartSavings</h1>
          <img id="taille" src="/img/logo_2.1.1.png" alt="logo" />
        </div>
        <ul>
          <li>
            <a href="/summary" className={props.active === "summary" ? " active" : null}>
              <span className="item">Résumé</span>
            </a>
          </li>
          <li>
            <a href="/transaction" className={props.active === "transaction" ? " active" : null}>
              <span className="item">Transactions</span>
            </a>
          </li>
          <li>
            <a href="/but" className={props.active === "but" ? " active" : null}>
              <span className="item">But</span>
            </a>
          </li>
          <li>
            <a href="/logout">
              <span className="item">Déconnexion</span>
            </a>
          </li>
        </ul>
      </>
  );
}
